#ifndef TRACE_H
#define TRACE_H

/* This file is autogenerated by tracetool, do not edit. */

#include "qemu-common.h"

static inline void trace_qemu_malloc(size_t size, void *ptr)
{
}

static inline void trace_qemu_realloc(void *ptr, size_t size, void *newptr)
{
}

static inline void trace_qemu_free(void *ptr)
{
}

static inline void trace_qemu_memalign(size_t alignment, size_t size, void *ptr)
{
}

static inline void trace_qemu_vmalloc(size_t size, void *ptr)
{
}

static inline void trace_qemu_vfree(void *ptr)
{
}

static inline void trace_virtqueue_fill(void *vq, const void *elem, unsigned int len, unsigned int idx)
{
}

static inline void trace_virtqueue_flush(void *vq, unsigned int count)
{
}

static inline void trace_virtqueue_pop(void *vq, void *elem, unsigned int in_num, unsigned int out_num)
{
}

static inline void trace_virtio_queue_notify(void *vdev, int n, void *vq)
{
}

static inline void trace_virtio_irq(void *vq)
{
}

static inline void trace_virtio_notify(void *vdev, void *vq)
{
}

static inline void trace_virtio_console_flush_buf(unsigned int port, size_t len, ssize_t ret)
{
}

static inline void trace_virtio_console_chr_read(unsigned int port, int size)
{
}

static inline void trace_virtio_console_chr_event(unsigned int port, int event)
{
}

static inline void trace_multiwrite_cb(void *mcb, int ret)
{
}

static inline void trace_bdrv_aio_multiwrite(void *mcb, int num_callbacks, int num_reqs)
{
}

static inline void trace_bdrv_aio_multiwrite_earlyfail(void *mcb)
{
}

static inline void trace_bdrv_aio_multiwrite_latefail(void *mcb, int i)
{
}

static inline void trace_bdrv_aio_discard(void *bs, int64_t sector_num, int nb_sectors, void *opaque)
{
}

static inline void trace_bdrv_aio_flush(void *bs, void *opaque)
{
}

static inline void trace_bdrv_aio_readv(void *bs, int64_t sector_num, int nb_sectors, void *opaque)
{
}

static inline void trace_bdrv_aio_writev(void *bs, int64_t sector_num, int nb_sectors, void *opaque)
{
}

static inline void trace_bdrv_lock_medium(void *bs, int locked)
{
}

static inline void trace_bdrv_co_readv(void *bs, int64_t sector_num, int nb_sector)
{
}

static inline void trace_bdrv_co_writev(void *bs, int64_t sector_num, int nb_sector)
{
}

static inline void trace_bdrv_co_write_zeroes(void *bs, int64_t sector_num, int nb_sector)
{
}

static inline void trace_bdrv_co_io_em(void *bs, int64_t sector_num, int nb_sectors, int is_write, void *acb)
{
}

static inline void trace_bdrv_co_copy_on_readv(void *bs, int64_t sector_num, int nb_sector)
{
}

static inline void trace_bdrv_co_do_copy_on_readv(void *bs, int64_t sector_num, int nb_sectors, int64_t cluster_sector_num, int cluster_nb_sectors)
{
}

static inline void trace_mirror_one_iteration(void *s, int64_t sector_num)
{
}

static inline void trace_mirror_start(void *bs, void *s, void *co, void *opaque)
{
}

static inline void trace_mirror_restart_iter(void *s, int64_t cnt)
{
}

static inline void trace_stream_one_iteration(void *s, int64_t sector_num, int nb_sectors, int is_allocated)
{
}

static inline void trace_stream_start(void *bs, void *base, void *s, void *co, void *opaque)
{
}

static inline void trace_commit_one_iteration(void *s, int64_t sector_num, int nb_sectors, int is_allocated)
{
}

static inline void trace_commit_start(void *bs, void *base, void *top, void *s, void *co, void *opaque)
{
}

static inline void trace_do_block_job_cancel(void *job)
{
}

static inline void trace_block_job_cb(void *bs, void *job, int ret)
{
}

static inline void trace_do_block_stream(void *bs, void *job)
{
}

static inline void trace_virtio_blk_req_complete(void *req, int status)
{
}

static inline void trace_virtio_blk_rw_complete(void *req, int ret)
{
}

static inline void trace_virtio_blk_handle_write(void *req, uint64_t sector, size_t nsectors)
{
}

static inline void trace_paio_submit(void *acb, void *opaque, int64_t sector_num, int nb_sectors, int type)
{
}

static inline void trace_cpu_in(unsigned int addr, unsigned int val)
{
}

static inline void trace_cpu_out(unsigned int addr, unsigned int val)
{
}

static inline void trace_balloon_event(void *opaque, unsigned long addr)
{
}

static inline void trace_virtio_blk_data_plane_start(void *s)
{
}

static inline void trace_virtio_blk_data_plane_stop(void *s)
{
}

static inline void trace_virtio_blk_data_plane_process_request(void *s, unsigned int out_num, unsigned int in_num, unsigned int head)
{
}

static inline void trace_virtio_blk_data_plane_complete_request(void *s, unsigned int head, int ret)
{
}

static inline void trace_vring_setup(uint64_t physical, void *desc, void *avail, void *used)
{
}

static inline void trace_apic_local_deliver(int vector, uint32_t lvt)
{
}

static inline void trace_apic_deliver_irq(uint8_t dest, uint8_t dest_mode, uint8_t delivery_mode, uint8_t vector_num, uint8_t polarity, uint8_t trigger_mode)
{
}

static inline void trace_cpu_set_apic_base(uint64_t val)
{
}

static inline void trace_cpu_get_apic_base(uint64_t val)
{
}

static inline void trace_apic_mem_readl(uint64_t addr, uint32_t val)
{
}

static inline void trace_apic_mem_writel(uint64_t addr, uint32_t val)
{
}

static inline void trace_apic_reset_irq_delivered(int apic_irq_delivered)
{
}

static inline void trace_apic_get_irq_delivered(int apic_irq_delivered)
{
}

static inline void trace_apic_set_irq(int apic_irq_delivered)
{
}

static inline void trace_usb_port_claim(int bus, const char *port)
{
}

static inline void trace_usb_port_attach(int bus, const char *port)
{
}

static inline void trace_usb_port_detach(int bus, const char *port)
{
}

static inline void trace_usb_port_release(int bus, const char *port)
{
}

static inline void trace_usb_ehci_reset(void)
{
}

static inline void trace_usb_ehci_mmio_readl(uint32_t addr, const char *str, uint32_t val)
{
}

static inline void trace_usb_ehci_mmio_writel(uint32_t addr, const char *str, uint32_t val)
{
}

static inline void trace_usb_ehci_mmio_change(uint32_t addr, const char *str, uint32_t new, uint32_t old)
{
}

static inline void trace_usb_ehci_usbsts(const char *sts, int state)
{
}

static inline void trace_usb_ehci_state(const char *schedule, const char *state)
{
}

static inline void trace_usb_ehci_qh_ptrs(void *q, uint32_t addr, uint32_t nxt, uint32_t c_qtd, uint32_t n_qtd, uint32_t a_qtd)
{
}

static inline void trace_usb_ehci_qh_fields(uint32_t addr, int rl, int mplen, int eps, int ep, int devaddr)
{
}

static inline void trace_usb_ehci_qh_bits(uint32_t addr, int c, int h, int dtc, int i)
{
}

static inline void trace_usb_ehci_qtd_ptrs(void *q, uint32_t addr, uint32_t nxt, uint32_t altnext)
{
}

static inline void trace_usb_ehci_qtd_fields(uint32_t addr, int tbytes, int cpage, int cerr, int pid)
{
}

static inline void trace_usb_ehci_qtd_bits(uint32_t addr, int ioc, int active, int halt, int babble, int xacterr)
{
}

static inline void trace_usb_ehci_itd(uint32_t addr, uint32_t nxt, uint32_t mplen, uint32_t mult, uint32_t ep, uint32_t devaddr)
{
}

static inline void trace_usb_ehci_port_attach(uint32_t port, const char *device)
{
}

static inline void trace_usb_ehci_port_detach(uint32_t port)
{
}

static inline void trace_usb_ehci_port_reset(uint32_t port, int enable)
{
}

static inline void trace_usb_ehci_data(int rw, uint32_t cpage, uint32_t offset, uint32_t addr, uint32_t len, uint32_t bufpos)
{
}

static inline void trace_usb_ehci_queue_action(void *q, const char *action)
{
}

static inline void trace_usb_desc_device(int addr, int len, int ret)
{
}

static inline void trace_usb_desc_device_qualifier(int addr, int len, int ret)
{
}

static inline void trace_usb_desc_config(int addr, int index, int len, int ret)
{
}

static inline void trace_usb_desc_other_speed_config(int addr, int index, int len, int ret)
{
}

static inline void trace_usb_desc_string(int addr, int index, int len, int ret)
{
}

static inline void trace_usb_desc_msos(int addr, int index, int len, int ret)
{
}

static inline void trace_usb_set_addr(int addr)
{
}

static inline void trace_usb_set_config(int addr, int config, int ret)
{
}

static inline void trace_usb_clear_device_feature(int addr, int feature, int ret)
{
}

static inline void trace_usb_set_device_feature(int addr, int feature, int ret)
{
}

static inline void trace_usb_host_parse_device(int bus, int addr, int vendor, int product)
{
}

static inline void trace_usb_host_parse_config(int bus, int addr, int value, int active)
{
}

static inline void trace_usb_host_parse_interface(int bus, int addr, int num, int alt, int active)
{
}

static inline void trace_usb_host_parse_endpoint(int bus, int addr, int ep, const char *dir, const char *type, int active)
{
}

static inline void trace_usb_host_parse_unknown(int bus, int addr, int len, int type)
{
}

static inline void trace_usb_host_parse_error(int bus, int addr, const char *errmsg)
{
}

static inline void trace_scsi_req_alloc(int target, int lun, int tag)
{
}

static inline void trace_scsi_req_data(int target, int lun, int tag, int len)
{
}

static inline void trace_scsi_req_data_canceled(int target, int lun, int tag, int len)
{
}

static inline void trace_scsi_req_dequeue(int target, int lun, int tag)
{
}

static inline void trace_scsi_req_continue(int target, int lun, int tag)
{
}

static inline void trace_scsi_req_parsed(int target, int lun, int tag, int cmd, int mode, int xfer)
{
}

static inline void trace_scsi_req_parsed_lba(int target, int lun, int tag, int cmd, uint64_t lba)
{
}

static inline void trace_scsi_req_parse_bad(int target, int lun, int tag, int cmd)
{
}

static inline void trace_scsi_req_build_sense(int target, int lun, int tag, int key, int asc, int ascq)
{
}

static inline void trace_scsi_device_set_ua(int target, int lun, int key, int asc, int ascq)
{
}

static inline void trace_scsi_report_luns(int target, int lun, int tag)
{
}

static inline void trace_scsi_inquiry(int target, int lun, int tag, int cdb1, int cdb2)
{
}

static inline void trace_scsi_test_unit_ready(int target, int lun, int tag)
{
}

static inline void trace_scsi_request_sense(int target, int lun, int tag)
{
}

static inline void trace_vm_state_notify(int running, int reason)
{
}

static inline void trace_runstate_set(int new_state)
{
}

static inline void trace_qemu_system_shutdown_request(void)
{
}

static inline void trace_qemu_system_powerdown_request(void)
{
}

static inline void trace_qed_alloc_l2_cache_entry(void *l2_cache, void *entry)
{
}

static inline void trace_qed_unref_l2_cache_entry(void *entry, int ref)
{
}

static inline void trace_qed_find_l2_cache_entry(void *l2_cache, void *entry, uint64_t offset, int ref)
{
}

static inline void trace_qed_read_table(void *s, uint64_t offset, void *table)
{
}

static inline void trace_qed_read_table_cb(void *s, void *table, int ret)
{
}

static inline void trace_qed_write_table(void *s, uint64_t offset, void *table, unsigned int index, unsigned int n)
{
}

static inline void trace_qed_write_table_cb(void *s, void *table, int flush, int ret)
{
}

static inline void trace_qed_need_check_timer_cb(void *s)
{
}

static inline void trace_qed_start_need_check_timer(void *s)
{
}

static inline void trace_qed_cancel_need_check_timer(void *s)
{
}

static inline void trace_qed_aio_complete(void *s, void *acb, int ret)
{
}

static inline void trace_qed_aio_setup(void *s, void *acb, int64_t sector_num, int nb_sectors, void *opaque, int flags)
{
}

static inline void trace_qed_aio_next_io(void *s, void *acb, int ret, uint64_t cur_pos)
{
}

static inline void trace_qed_aio_read_data(void *s, void *acb, int ret, uint64_t offset, size_t len)
{
}

static inline void trace_qed_aio_write_data(void *s, void *acb, int ret, uint64_t offset, size_t len)
{
}

static inline void trace_qed_aio_write_prefill(void *s, void *acb, uint64_t start, size_t len, uint64_t offset)
{
}

static inline void trace_qed_aio_write_postfill(void *s, void *acb, uint64_t start, size_t len, uint64_t offset)
{
}

static inline void trace_qed_aio_write_main(void *s, void *acb, int ret, uint64_t offset, size_t len)
{
}

static inline void trace_qemu_coroutine_enter(void *from, void *to, void *opaque)
{
}

static inline void trace_qemu_coroutine_yield(void *from, void *to)
{
}

static inline void trace_qemu_coroutine_terminate(void *co)
{
}

static inline void trace_qemu_co_queue_next_bh(void)
{
}

static inline void trace_qemu_co_queue_next(void *nxt)
{
}

static inline void trace_qemu_co_mutex_lock_entry(void *mutex, void *self)
{
}

static inline void trace_qemu_co_mutex_lock_return(void *mutex, void *self)
{
}

static inline void trace_qemu_co_mutex_unlock_entry(void *mutex, void *self)
{
}

static inline void trace_qemu_co_mutex_unlock_return(void *mutex, void *self)
{
}

static inline void trace_qxl_interface_set_mm_time(int qid, uint32_t mm_time)
{
}

static inline void trace_qxl_io_write_vga(int qid, const char *mode, uint32_t addr, uint32_t val)
{
}

static inline void trace_qxl_create_guest_primary(int qid, uint32_t width, uint32_t height, uint64_t mem, uint32_t format, uint32_t position)
{
}

static inline void trace_qxl_create_guest_primary_rest(int qid, int32_t stride, uint32_t type, uint32_t flags)
{
}

static inline void trace_qxl_destroy_primary(int qid)
{
}

static inline void trace_qxl_enter_vga_mode(int qid)
{
}

static inline void trace_qxl_exit_vga_mode(int qid)
{
}

static inline void trace_qxl_hard_reset(int qid, int64_t loadvm)
{
}

static inline void trace_qxl_interface_async_complete_io(int qid, uint32_t current_async, void *cookie)
{
}

static inline void trace_qxl_interface_attach_worker(int qid)
{
}

static inline void trace_qxl_interface_get_init_info(int qid)
{
}

static inline void trace_qxl_interface_set_compression_level(int qid, int64_t level)
{
}

static inline void trace_qxl_interface_update_area_complete(int qid, uint32_t surface_id, uint32_t dirty_left, uint32_t dirty_right, uint32_t dirty_top, uint32_t dirty_bottom)
{
}

static inline void trace_qxl_interface_update_area_complete_rest(int qid, uint32_t num_updated_rects)
{
}

static inline void trace_qxl_interface_update_area_complete_overflow(int qid, int max)
{
}

static inline void trace_qxl_interface_update_area_complete_schedule_bh(int qid, uint32_t num_dirty)
{
}

static inline void trace_qxl_io_destroy_primary_ignored(int qid, const char *mode)
{
}

static inline void trace_qxl_io_read_unexpected(int qid)
{
}

static inline void trace_qxl_io_unexpected_vga_mode(int qid, uint32_t io_port, const char *desc)
{
}

static inline void trace_qxl_io_write(int qid, const char *mode, uint64_t addr, uint64_t val, int async)
{
}

static inline void trace_qxl_memslot_add_guest(int qid, uint32_t slot_id, uint64_t guest_start, uint64_t guest_end)
{
}

static inline void trace_qxl_post_load(int qid, const char *mode)
{
}

static inline void trace_qxl_pre_load(int qid)
{
}

static inline void trace_qxl_pre_save(int qid)
{
}

static inline void trace_qxl_reset_surfaces(int qid)
{
}

static inline void trace_qxl_ring_command_check(int qid, const char *mode)
{
}

static inline void trace_qxl_ring_command_get(int qid, const char *mode)
{
}

static inline void trace_qxl_ring_command_req_notification(int qid)
{
}

static inline void trace_qxl_ring_cursor_check(int qid, const char *mode)
{
}

static inline void trace_qxl_ring_cursor_get(int qid, const char *mode)
{
}

static inline void trace_qxl_ring_cursor_req_notification(int qid)
{
}

static inline void trace_qxl_ring_res_push(int qid, const char *mode, uint32_t surface_count, uint32_t free_res, void *last_release, const char *notify)
{
}

static inline void trace_qxl_ring_res_push_rest(int qid, uint32_t ring_has, uint32_t ring_size, uint32_t prod, uint32_t cons)
{
}

static inline void trace_qxl_ring_res_put(int qid, uint32_t free_res)
{
}

static inline void trace_qxl_set_mode(int qid, int modenr, uint32_t x_res, uint32_t y_res, uint32_t bits, uint64_t devmem)
{
}

static inline void trace_qxl_soft_reset(int qid)
{
}

static inline void trace_qemu_spice_add_memslot(int qid, uint32_t slot_id, unsigned long virt_start, unsigned long virt_end, int async)
{
}

static inline void trace_qemu_spice_del_memslot(int qid, uint32_t gid, uint32_t slot_id)
{
}

static inline void trace_qemu_spice_create_primary_surface(int qid, uint32_t sid, void *surface, int async)
{
}

static inline void trace_qemu_spice_destroy_primary_surface(int qid, uint32_t sid, int async)
{
}

static inline void trace_qemu_spice_wakeup(uint32_t qid)
{
}

static inline void trace_qemu_spice_start(uint32_t qid)
{
}

static inline void trace_qemu_spice_stop(uint32_t qid)
{
}

static inline void trace_qemu_spice_create_update(uint32_t left, uint32_t right, uint32_t top, uint32_t bottom)
{
}

static inline void trace_qxl_spice_destroy_surfaces_complete(int qid)
{
}

static inline void trace_qxl_spice_destroy_surfaces(int qid, int async)
{
}

static inline void trace_qxl_spice_destroy_surface_wait_complete(int qid, uint32_t id)
{
}

static inline void trace_qxl_spice_destroy_surface_wait(int qid, uint32_t id, int async)
{
}

static inline void trace_qxl_spice_flush_surfaces_async(int qid, uint32_t surface_count, uint32_t num_free_res)
{
}

static inline void trace_qxl_spice_monitors_config(int id)
{
}

static inline void trace_qxl_spice_loadvm_commands(int qid, void *ext, uint32_t count)
{
}

static inline void trace_qxl_spice_oom(int qid)
{
}

static inline void trace_qxl_spice_reset_cursor(int qid)
{
}

static inline void trace_qxl_spice_reset_image_cache(int qid)
{
}

static inline void trace_qxl_spice_reset_memslots(int qid)
{
}

static inline void trace_qxl_spice_update_area(int qid, uint32_t surface_id, uint32_t left, uint32_t right, uint32_t top, uint32_t bottom)
{
}

static inline void trace_qxl_spice_update_area_rest(int qid, uint32_t num_dirty_rects, uint32_t clear_dirty_region)
{
}

static inline void trace_qxl_surfaces_dirty(int qid, int surface, int addr, int offset, int size)
{
}

static inline void trace_qxl_set_client_capabilities_unsupported_by_revision(int qid, int revision)
{
}

static inline void trace_qxl_interrupt_client_monitors_config(int qid, int num_heads, void *heads)
{
}

static inline void trace_qxl_client_monitors_config_unsupported_by_guest(int qid, uint32_t int_mask, void *client_monitors_config)
{
}

static inline void trace_qxl_client_monitors_config_capped(int qid, int requested, int limit)
{
}

static inline void trace_qxl_client_monitors_config_crc(int qid, unsigned size, uint32_t crc32)
{
}

static inline void trace_qxl_render_blit_guest_primary_initialized(void)
{
}

static inline void trace_qxl_render_blit(int32_t stride, int32_t left, int32_t right, int32_t top, int32_t bottom)
{
}

static inline void trace_qxl_render_guest_primary_resized(int32_t width, int32_t height, int32_t stride, int32_t bytes_pp, int32_t bits_pp)
{
}

static inline void trace_qxl_render_update_area_done(void *cookie)
{
}

static inline void trace_handle_qmp_command(void *mon, const char *cmd_name)
{
}

static inline void trace_monitor_protocol_emitter(void *mon)
{
}

static inline void trace_monitor_protocol_event(uint32_t event, const char *evname, void *data)
{
}

static inline void trace_monitor_protocol_event_handler(uint32_t event, void *data, uint64_t last, uint64_t now)
{
}

static inline void trace_monitor_protocol_event_emit(uint32_t event, void *data)
{
}

static inline void trace_monitor_protocol_event_queue(uint32_t event, void *data, uint64_t rate, uint64_t last, uint64_t now)
{
}

static inline void trace_monitor_protocol_event_throttle(uint32_t event, uint64_t rate)
{
}

static inline void trace_hbitmap_iter_skip_words(const void *hb, void *hbi, uint64_t pos, unsigned long cur)
{
}

static inline void trace_hbitmap_reset(void *hb, uint64_t start, uint64_t count, uint64_t sbit, uint64_t ebit)
{
}

static inline void trace_hbitmap_set(void *hb, uint64_t start, uint64_t count, uint64_t sbit, uint64_t ebit)
{
}

static inline void trace_migrate_set_state(int new_state)
{
}

static inline void trace_kvm_ioctl(int type, void *arg)
{
}

static inline void trace_kvm_vm_ioctl(int type, void *arg)
{
}

static inline void trace_kvm_vcpu_ioctl(int cpu_index, int type, void *arg)
{
}

static inline void trace_kvm_run_exit(int cpu_index, uint32_t reason)
{
}

static inline void trace_object_dynamic_cast_assert(const char *type, const char *target, const char *file, int line, const char *func)
{
}

static inline void trace_object_class_dynamic_cast_assert(const char *type, const char *target, const char *file, int line, const char *func)
{
}

#endif /* TRACE_H */
